import request from '@/utils/request'

// 查询能源设施告警策略列表
export function listAlarm(query) {
  return request({
    url: '/ems/alarm/list',
    method: 'get',
    params: query
  })
}

// 查询能源设施告警策略详细
export function getAlarm(id) {
  return request({
    url: '/ems/alarm/' + id,
    method: 'get'
  })
}

// 新增能源设施告警策略
export function addAlarm(data) {
  return request({
    url: '/ems/alarm',
    method: 'post',
    data: data
  })
}

// 修改能源设施告警策略
export function updateAlarm(data) {
  return request({
    url: '/ems/alarm',
    method: 'put',
    data: data
  })
}

// 删除能源设施告警策略
export function delAlarm(id) {
  return request({
    url: '/ems/alarm/' + id,
    method: 'delete'
  })
}
